#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "component_goodies.h"

typedef struct ComponentHeart
{
	ECSComponent component;
	u32 multiplier;
	u32 uses;
	u32 concurrentUses;
} ComponentHeart;

void component_heart_tick(ComponentHeart* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_HEART_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_heart_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_HEART,
	.size = sizeof(ComponentHeart)
};


